function plot_matches(shape1, shape2, matches, alpha)

whites = [0.8 0.8 0.8];

colormap(whites)
trisurf(shape1.TRIV, shape1.VERT(:,1), shape1.VERT(:,2), shape1.VERT(:,3), ones(shape1.n,1))
axis equal, shading interp, light, lighting phong, camlight head,
hold on,
trisurf(shape2.TRIV, shape2.VERT(:,1), shape2.VERT(:,2), shape2.VERT(:,3), ones(shape2.n,1))
axis equal, shading interp, light, lighting phong, camlight head,
axis off

% create colormap
M = shape1; N = shape2;
minx = min(min(M.VERT(:,1)),min(N.VERT(:,1)));
miny = min(min(M.VERT(:,2)),min(N.VERT(:,2)));
minz = min(min(M.VERT(:,3)),min(N.VERT(:,3)));
maxx = max(max(M.VERT(:,1)),max(N.VERT(:,1)));
maxy = max(max(M.VERT(:,2)),max(N.VERT(:,2)));
maxz = max(max(M.VERT(:,3)),max(N.VERT(:,3)));
colors = [(N.VERT(:,1)-minx)/(maxx-minx) (N.VERT(:,2)-miny)/(maxy-miny) (N.VERT(:,3)-minz)/(maxz-minz)];

for i = 1:size(matches,1)
    
    p = matches(i,1);
    q = matches(i,2);
    
    plot3(...
        [shape1.VERT(p,1) shape2.VERT(q,1)],...
        [shape1.VERT(p,2) shape2.VERT(q,2) ],...
        [shape1.VERT(p,3) shape2.VERT(q,3)],...
        'color', colors(p,:),...
        'linewidth', 1,...
        'markersize', 3);
    
    plot3(shape1.VERT(p,1), ...
        shape1.VERT(p,2), ...
        shape1.VERT(p,3), ...
        'color', colors(p,:),...
        'marker', '*',...
        'markersize', 3);
    
    plot3(shape2.VERT(q,1), ...
        shape2.VERT(q,2), ...
        shape2.VERT(q,3), ...
        'color', colors(q,:),...
        'marker', '*',...
        'markersize', 3);
end

title(sprintf('alpha: %.2f, matches: %d', alpha, size(matches,1)))

end
